cURL
curl --request POST \
--url https://api.spotflow.co/api/v1/payments/authorize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reference": "string",
"authorization": {
"otp": "0xxx",
"pin": "01xx"
}
}
'import requests
url = "https://api.spotflow.co/api/v1/payments/authorize"
payload = {
"reference": "string",
"authorization": {
"otp": "0xxx",
"pin": "01xx"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reference: 'string', authorization: {otp: '0xxx', pin: '01xx'}})
};
fetch('https://api.spotflow.co/api/v1/payments/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "REF123456789",
"spotflowReference": "SPF-REF-001",
"amount": 100,
"currency": "USD",
"localAmount": 156000,
"totalFees": 500,
"localCurrency": "NGN",
"channel": "card",
"status": "SUCCESS",
"providerMessage": "Please enter your OTP sent to your phone",
"rate": 1560,
"region": "Nigeria",
"authorization": {
"mode": "otp"
},
"card": {
"type": "VISA",
"firstSix": "412345",
"lastFour": "6789"
},
"createdAt": "2025-10-17T15:21:11.287Z",
"metadata": {
"orderId": "ORD-000123",
"note": "First payment"
}
}{
"error": "Missing Parameter",
"message": "missing_parameter",
"status": 400
}{
"error": "Unauthorized",
"message": "invalid_credentials",
"status": 401
}Payment Collections
Authorize Payment
This authorizes a payment by pre-approving the transaction before final validation. Authorization required could be PIN, OTP, 3DS, AVS, etc.
POST
/
payments
/
authorize
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
A JSON array of authorize payment objects.
Example:
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Example:
"REF123456789"
Example:
"SPF-REF-001"
Example:
100
Example:
"USD"
Example:
156000
Example:
500
Example:
"NGN"
Example:
"card"
Example:
"SUCCESS"
Example:
"Please enter your OTP sent to your phone"
Example:
1560
Example:
"Nigeria"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-10-17T15:21:11.287Z"
Show child attributes
Show child attributes
Example:
{
"orderId": "ORD-000123",
"note": "First payment"
}
⌘I

